summaryrefslogtreecommitdiffstats
path: root/debian/open-infrastructure-container-tools.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/open-infrastructure-container-tools.postrm')
-rw-r--r--debian/open-infrastructure-container-tools.postrm50
1 files changed, 50 insertions, 0 deletions
diff --git a/debian/open-infrastructure-container-tools.postrm b/debian/open-infrastructure-container-tools.postrm
new file mode 100644
index 0000000..57ecc21
--- /dev/null
+++ b/debian/open-infrastructure-container-tools.postrm
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+set -e
+
+Remove ()
+{
+ DEFAULT="${1}"
+
+ if [ -h "${DEFAULT}" ]
+ then
+ TARGET="$(readlink -f ${DEFAULT})"
+ else
+ TARGET=""
+ fi
+
+ for ITEM in ${DEFAULT} ${TARGET}
+ do
+ if dpkg-statoverride --list "${ITEM}" > /dev/null 2>&1
+ then
+ dpkg-statoverride --quiet --remove "${ITEM}"
+ fi
+
+ rmdir --ignore-fail-on-non-empty --parents ${ITEM} > /dev/null 2>&1 || true
+
+ rm -f ${ITEM} > /dev/null 2>&1 || true
+ rmdir --ignore-fail-on-non-empty --parents $(dirname ${ITEM}) > /dev/null 2>&1 || true
+ done
+}
+
+case "${1}" in
+ remove|purge)
+ Remove /var/cache/container-tools
+ Remove /etc/container-tools/debconf
+ Remove /etc/container-tools/config
+ Remove /var/lib/machines
+ ;;
+
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0